## org.firebirdsql.encodings
Class CharacterTranslator

    java.lang.Object
      org.firebirdsql.encodings.CharacterTranslator

    public class CharacterTranslator

extends Object

Class responsible for character translation.

Constructor Summary
`CharacterTranslator()`

Method Summary
`char[]` `getMapping()` Get mapping table.
`char` `getMapping(char toMap)` Get mapping for the specified character.
`void` `init(String mappingPath)` Initialize this class with the specified mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterTranslator

    public CharacterTranslator()

Method Detail

### getMapping

    public char[] getMapping()

  Get mapping table.

  Returns:
    mapping table.

### getMapping

    public char getMapping(char toMap)

  Get mapping for the specified character.

  Parameters:
    `toMap` - character to map.
  Returns:
    mapped character.

### init

    public void init(String mappingPath)
              throws FBSQLException

  Initialize this class with the specified mapping.

  Parameters:
    `mappingPath` - path to the .properties file with the corresponding mapping.
  Throws:
    `IOException` - if I/O error occured or specified mapping is incorrect or cannot be found.
    `FBSQLException`

Copyright © 2001-2010. All Rights Reserved.